Retrieve a paginated list of ledger transactions within a specified date and time range. This endpoint returns detailed transaction data, including amounts, references, operations, and running balances.
Security
Bearer
Field to use for sorting the results. Allowed values include:
- CREATED_AT: sort by transaction creation timestamp.
- STATEMENT_OPERATION: sort by the operation type (for example, CREDIT, DEBIT).
- STATEMENT_SOURCE: sort by the transaction source (for example, PAYMENTS, BANK).
- STATEMENT_STATUS: sort by the ledger transaction status.
- STATEMENT_TXN_REFERENCE: sort by the transaction reference.
- STATEMENT_UPDATED_AT: sort by the last update timestamp.
- Mock serverhttps://docs.ripple.com/_mock/products/payments-direct-2/api-docs/payments-direct-api/payments-direct-2-api/v2/ledger-transactions
- UAT environment with simulated currencyhttps://api.test.ripple.com/v2/ledger-transactions
- Production environmenthttps://api.ripple.com/v2/ledger-transactions
curl -i -X GET \
'https://docs.ripple.com/_mock/products/payments-direct-2/api-docs/payments-direct-api/payments-direct-2-api/v2/ledger-transactions?currency=USD&start-dttm=2022-02-27T08%3A30%3A00Z&end-dttm=2022-02-27T08%3A30%3A00Z&status=string&txnReference=string&page-size=1&offset=0&sort-key=string&sort-direction=string' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'A page of ledger statement transactions for the customer that match the specified query parameters.
Response
{ "offset": "0", "pageSize": "25", "pageElements": "25", "total": "1000", "statementTransactions": [ { … } ] }